Holger's Java API

## com.antelmann.net.mail
Class MessageTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.antelmann.util.table.AbstractObjectTableModel<T>
              com.antelmann.util.table.PatternTableModel<javax.mail.Message>
                  com.antelmann.net.mail.MessageTableModel

All Implemented Interfaces:
  ListRetriever<javax.mail.Message>, Refreshable, ObjectTableModel<javax.mail.Message>, Serializable, Iterable<javax.mail.Message>, TableModel

    public class MessageTableModel

extends PatternTableModel<javax.mail.Message>

provides a convenient standard way to use Message objects in a table

Since:
  05.01.2017, 20:16:30
Author:
  holger
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.antelmann.util.table.AbstractObjectTableModel
`columnNames, columnTypes`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`MessageTableModel()`

Method Summary

Methods inherited from class com.antelmann.util.table.PatternTableModel
`addColumn, addColumn, addColumn, addColumn, addColumn, addColumn, addColumn, findField, findMethod, getColumnClass, getColumnCount, getColumnName, getValueAt, isCellEditable, removeColumn, removeColumn, setColumnName, setColumnNames, setValueAt, setValueSetter`

Methods inherited from class com.antelmann.util.table.AbstractObjectTableModel
`add, add, clear, contains, getList, getRelevantList, getRelevantListDescription, getRowCount, getRowFor, getRowValue, iterator, moveDown, moveUp, refreshContent, remove, remove, setColumnType, setColumnTypes, setRowValues, swap`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.table.TableModel
`addTableModelListener, removeTableModelListener`

Constructor Detail

### MessageTableModel

    public MessageTableModel()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads